%global drupaldir %{_datadir}/drupal7

Name:    drupal7-calendar
Version: 3.5
Release: 4%{?dist}
Summary: This module will display any Views date field in calendar formats

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/calendar
Source0: http://ftp.drupal.org/files/projects/calendar-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-date >= 2.0-0.1.alpha4
Requires:  drupal7-views >= 3.0-0.1.rc1

%description
This module will display any Views date field in calendar formats,
including CCK date fields, Event module event fields, node created or
updated dates, etc. Switch between year, month, and day views. Back and
next navigation is provided for all views.

%prep

%setup -qn calendar

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/calendar
cp -pr * %{buildroot}%{drupaldir}/modules/calendar

%clean
rm -rf %{buildroot}

%files
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/calendar
%exclude %{drupaldir}/modules/calendar/*.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Jared Smith <jsmith@fedoraproject.org> - 3.5-3
- Remove call to %%defattr macro, as it is no longer needed

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 17 2014 Jared Smith <jsmith@fedoraproject.org> - 3.5-1
- New upstream release.  See release notes at https://www.drupal.org/node/2356415

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 19 2012 Peter Borsa <peter.borsa@gmail.com> - 3.4-1
- New upstream version.

* Mon Apr 30 2012 Peter Borsa <peter.borsa@gmail.com> - 3.3-1
- New upstream version.

* Sat Apr 21 2012 Peter Borsa <peter.borsa@gmail.com> - 3.2-1
- New upstream version.

* Wed Feb 29 2012 Peter Borsa <peter.borsa@gmail.com> - 3.0-1
- New upstream version.

* Thu Feb 16 2012 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.4.rc1
- Fixed release number

* Thu Feb 16 2012 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.1.rc1
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.3.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan  3 2012 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.2.alpha2
- New upstream version.

* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.1.alpha1
- Initial packaging.
